/*
 * Data file for Food Guide Visualizer v 0.1
 * created July 25, 2011
 * for Canada Food Guide Visualizer project
 * author Caroline Ross
 */


var visualizer = visualizer || {};

visualizer.data = {
    strings: {
        ageLabel: "Age:",
        genderLabel: "Gender:",
        formLabel: "Visual Form:",
    },
    
    ageList: {
        codes: ["0", "2", "4", "6", "8", "10"],
        names: ["2 - 3", "4 - 8", "9 - 13", "14 - 18", "19 - 50", "51 +"],
        selection: "8"
    },

    genderList: {
        codes: ["0", "1"],
        names: ["Female", "Male"],
        selection: "0"
    },
    
    formList: {
    	choices: [
			{thumb: "images/thumb_pie.png", pde: "pie.pde", name: "Pie"},
			{thumb: "images/thumb_bar.png", pde: "bar.pde", name: "Bar"},
			{thumb: "images/thumb_network.png", pde: "network.pde", name: "Network"}
    	],
        selection: "0"
    },

    titleList: {
    	longTitles: ["Vegetables and Fruit", "Grain Products", "Milk and Alternatives", "Meat and Alternatives"],
    	shortTitles: ["veggies+", "grains+", "milk+", "meat+"]
    },
    
    foodGroupData: [
		{rowNamesType: "Children", rowNamesAge: "2-3", rowNamesGender: "Girls", servings: [4, 3, 2, 1]},
		{rowNamesType: "Children", rowNamesAge: "2-3", rowNamesGender: "Boys", servings: [4, 3, 2, 1]},
		{rowNamesType: "Children", rowNamesAge: "4-8", rowNamesGender: "Girls", servings: [5, 4, 2, 1]},
		{rowNamesType: "Children", rowNamesAge: "4-8", rowNamesGender: "Boys", servings: [5, 4, 2, 1]},
		{rowNamesType: "Children", rowNamesAge: "9-13", rowNamesGender: "Girls", servings: [6, 6, 4, 2]},
		{rowNamesType: "Children", rowNamesAge: "9-13", rowNamesGender: "Boys", servings: [6, 6, 4, 2]},
		{rowNamesType: "Teens", rowNamesAge: "14-18", rowNamesGender: "Females", servings: [7, 6, 4, 2]},
		{rowNamesType: "Teens", rowNamesAge: "14-18", rowNamesGender: "Males", servings: [8, 7, 4, 3]},
		{rowNamesType: "Adults", rowNamesAge: "19-50", rowNamesGender: "Females", servings: [8, 7, 2, 2]},
		{rowNamesType: "Adults", rowNamesAge: "19-50", rowNamesGender: "Males", servings: [9, 8, 2, 3]},
		{rowNamesType: "Adults", rowNamesAge: "51+", rowNamesGender: "Females", servings: [7, 6, 3, 2]},
		{rowNamesType: "Adults", rowNamesAge: "51+", rowNamesGender: "Males", servings: [7, 7, 3, 3]}
	]
};
